#
# Conditional build:
%bcond_without	tests		# build without tests

Summary:	Pipe Viewer - tool for monitoring the progress of data through a pipeline
Summary(pl.UTF-8):	Pipe Viewer - monitorowanie przepływu danych przez potok
Name:		pv
Version:	1.5.7
Release:	1
License:	Artistic v2.0
Group:		Applications
Source0:	http://www.ivarch.com/programs/sources/%{name}-%{version}.tar.bz2
# Source0-md5:	e8597a929e836ada22a8814b1c1651d0
URL:		http://www.ivarch.com/programs/pv.shtml
BuildRequires:	gettext-devel
# the unit tests call usleep(1)
BuildRequires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pipe Viewer is a terminal-based tool for monitoring the progress of
data through a pipeline. It can be inserted into any normal pipeline
between two processes to give a visual indication of how quickly data
is passing through, how long it has taken, how near to completion it
is, and an estimate of how long it will be until completion.

%description -l pl.UTF-8
Pipe Viewer jest tekstowym narzędziem do monitorowania przepływu
danych przez potok. Może być wstawiony w dowolny potok pomiędzy dwa
procesy w celu wizualizacji prędkości z jaką dane przepływają pomiędzy
nimi, ile czasu im to zajmuje, ile jeszcze zostało do ukończenia i ile
mniej więcej czasu to będzie trwało.

%prep
%setup -q

mv README README.iso8859
iconv -f ISO-8859-1 -t UTF-8 README.iso8859  > README
mv doc/NEWS doc/NEWS.iso8859
iconv -f ISO-8859-1 -t UTF-8 doc/NEWS.iso8859 > doc/NEWS

%build
%configure
%{__make}
%{?with_test:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/NEWS doc/TODO
%attr(755,root,root) %{_bindir}/pv
%{_mandir}/man1/pv.1*
%changelog
* Sun Nov 30 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pv.git;a=log;h=master

* Sun Nov 30 2014 Elan Ruusamäe <glen@delfi.ee> 522e54d
- up to 1.5.7

* Thu May 01 2014 Elan Ruusamäe <glen@delfi.ee> e15334f
- up to 1.5.2, run tests

* Wed Dec 15 2010 Zsolt Udvari <uzsolt@pld-linux.org> c19d67c
- 1.2.0
- change Source0

* Thu Jan 15 2009 duddits <duddits@pld-linux.org> 7718423
- up to 1.1.4

* Thu Aug 30 2007 wolf <wolf@pld-linux.org> 6b005e4
- 1.1.0

* Fri Aug 17 2007 Paweł Gołaszewski <blues@pld-linux.org> e63f07b
- 1.0.1 - no more info pages, license is Artistic 2.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f5726a2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 39690e5
- converted to UTF-8

* Wed Oct 12 2005 darekr <darekr@pld-linux.org> f626274
- updated to 0.9.2

* Mon Jul 11 2005 darekr <darekr@pld-linux.org> de917a8
- updated to 0.9.1;  Summary

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> 258f467
- BR: gettext-devel

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 4e9510c
- updated to 0.9.0

* Fri Sep 03 2004 darekr <darekr@pld-linux.org> aef8514
- updated to 0.8.6

* Thu May 27 2004 jpc <jpc@pld-linux.org> 402ccab
- builds (but not sure 'bout the BRs)

* Tue May 11 2004 migo <migo@pld-linux.org> 2e7073f
- up to 0.8.5, use working source URL
- won't build

* Tue May 11 2004 migo <migo@pld-linux.org> 14f486d
- oops, it doesn't build, lacks some BR (tetex?), probably other things
- release down to 0.1, I can't fix it right now

* Tue May 11 2004 migo <migo@pld-linux.org> 3b6c0b3
- up to 0.8.0

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 1db5f8a
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> ce535b5
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Jan 17 2003 radek <radek@pld-linux.org> 6f9f8f1
- version 0.4.5

